package com.ejie.ab39a.constantes;

/**
 * 
 *  
 *
 */
public enum SexoEnum {
	MUJER("M", "mujer"), HOMBRE("H", "hombre");

	private String id;
	private String descripcion;

	private SexoEnum(String id, String descripcion) {
		this.id = id;
		this.descripcion = descripcion;
	}

	/**
	 * @return the id
	 */
	public String getId() {
		return id;
	}

	/**
	 * @return the descripcion
	 */
	public String getDescripcion() {
		return descripcion;
	}

	/**
	 * Obtiene por ID
	 * 
	 * @param id
	 *            String id
	 * @return SexoEnum SexoEnum
	 */
	public static SexoEnum getById(String id) {

		for (SexoEnum sexo : SexoEnum.values()) {

			if (sexo.getId().equals(id)) {
				return sexo;
			}
		} // fin del for

		return null;
	}

	/**
	 * Obtiene por descripción
	 * 
	 * @param nombre
	 *            String nombre
	 * @return SexoEnum SexoEnum
	 */
	public static SexoEnum getByName(String nombre) {

		for (SexoEnum sexo : SexoEnum.values()) {

			if (sexo.name().equals(nombre)) {
				return sexo;
			}
		} // fin del for

		return null;
	}

}
